/* Return number of characters in multibyte representation for current
   character set.
   Copyright (C) 1996, 1999 Free Software Foundation, Inc.
   This file is part of the GNU C Library.
   Contributed by Ulrich Drepper <drepper@cygnus.com>, 1996.

   The GNU C Library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public License as
   published by the Free Software Foundation; either version 2 of the
   License, or (at your option) any later version.

   The GNU C Library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along with the GNU C Library; see the file COPYING.LIB.  If not,
   write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.  */

#include <langinfo.h>
#include <locale.h>
#ifdef DEBUG
#include <stdio.h>
#endif
#include <stdlib.h>


size_t
__ctype_get_mb_cur_max (void)
{
  size_t correct_value = (size_t)nl_langinfo(_NL_CTYPE_MB_CUR_MAX);

#if 0
#ifdef DEBUG
  fprintf(stderr, "begin: __ctype_get_mb_cur_max\n");
  fprintf(stderr, "info: return %d(__ctype_get_mb_cur_max)\n", correct_value);
#endif
#endif
#ifdef BROKEN
  return ((size_t []) { 1, 1, 1, 2, 2, 3, 4 })[correct_value];
#else
  return correct_value;
#endif
}
